%define name kdebluetooth4
%define oname kbluetooth
%define summary Kdebluetooth is the bluetooth framework for KDE4
%define version 0.4.1
%define release %mkrel 4

Summary:	%summary
Name: 		%name
Version: 	%version
Release: 	%release
License:	GPL v2 or later
Group:		Graphical desktop/KDE4
URL:		http://sourceforge.net/projects/kde-bluetooth/files/
Source0:	112110-kbluetooth-%version.tar.xz
BuildRoot: 	%_tmppath/%name-%version-buildroot
Packager:	Runx2
BuildRequires:	kdebase4-workspace-devel
BuildRequires:	cmake
BuildRequires:	gcc
BuildRequires:	glibc-headers-devel
Requires:	bluez >= 4.51
Requires:	obex-data-server
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1
Obsoletes:	%name < %version

%description
kdebluetooth4 offers the following:

* Trayicon to manage all functions

* Passkey and Authorization Agent to handle requests from remote devices

* Bluetooth Adapter configuration

* Bluetooth Device-Manager

* Bluetooth Device Wizard, to add new Devices

* KBlueLock, to lock your screen, when your mobile phone is out of scope

* Send Files to remote devices (obex-data-server)

MENU ENTRY is located System -> Configuration -> Hardware

%prep
%setup -q -n %{oname}-%version

%build
%cmake_kde4
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

desktop-file-install \
 --vendor="" \
 --add-category="X-MandrivaLinux-System-Configuration-Hardware" \
 --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 \
$RPM_BUILD_ROOT%{_datadir}/applications/kde4/%{oname}.desktop

%clean
rm -rf %buildroot

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-, root, root)
%doc AUTHORS
%doc COPYING
%doc ChangeLog
%doc TODO
%{_bindir}/%{oname}
%{_bindir}/%{oname}-devicemanager
%{_bindir}/%{oname}-inputwizard
%{_datadir}/applications/kde4/%{oname}.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/locale/*/LC_MESSAGES/kbluetooth.mo

%changelog
* Mon Aug 16 2010 Texstar <texstar at gmail.com> 0.4.1-4pclos2010
- rebuild for 4.5.0

* Fri May 14 2010 Texstar <texstar at gmail.com> 0.4.1-3pclos2010
- rebuild

* Tue Mar 09 2010 Texstar <texstar at gmail.com> 0.4.1-2pclos2010
- rebuild

* Wed Feb 10 2010 Texstar <texstar at gmail.com> 0.4.1-1pclos2010
- 0.4.1

* Tue Feb 02 2010 Texstar <texstar at gmail.com> 0.4-1pclos2010
- 0.4 final

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 0.4-rc2.3pclos2010
- rebuild

* Mon Dec 01 2009 Texstar <texstar at gmail.com> 0.4-rc2.2pclos2010
- rebuild against updated bluez

* Thu Nov 11 2009 Texstar <texstar at gmail.com> 0.4-rc2.1pclos2010
- RC2

* Mon Oct 11 2009 runx2 <ajmcnally_at_cox_dot_net> 0.4-rc1pclos2010
- first build


